> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /steam/apps/reviews

> Get Steam app user reviews by app ID

**Price:** 5 credits per 100 results

**⚠️ Common errors:** 412: App not found



## OpenAPI

````yaml /openapi/games.json post /api/steam/apps/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/steam/apps/reviews:
    post:
      tags:
        - /steam
      summary: /steam/apps/reviews
      description: |-
        Get Steam app user reviews by app ID

        **Price:** 5 credits per 100 results

        **⚠️ Common errors:** 412: App not found
      operationId: __api_steam_apps_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SteamAppReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SteamReview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SteamAppReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        appid:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        review_type:
          $ref: '#/components/schemas/SteamReviewType'
          default: all
        language:
          type: string
          minLength: 1
          default: all
      type: object
      required:
        - appid
        - count
    SteamReview:
      properties:
        '@type':
          type: string
          default: SteamReview
        id:
          type: string
        author:
          anyOf:
            - $ref: '#/components/schemas/SteamReviewAuthor'
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        is_positive:
          type: boolean
          default: false
        helpful_count:
          anyOf:
            - type: integer
            - type: 'null'
        funny_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        weighted_vote_score:
          anyOf:
            - type: number
            - type: 'null'
        is_steam_purchase:
          type: boolean
          default: false
        is_received_for_free:
          type: boolean
          default: false
        is_written_during_early_access:
          type: boolean
          default: false
        is_refunded:
          type: boolean
          default: false
        is_primarily_steam_deck:
          type: boolean
          default: false
        reactions:
          items:
            $ref: '#/components/schemas/SteamReviewReaction'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        released_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SteamReviewType:
      type: string
      enum:
        - all
        - positive
        - negative
    SteamReviewAuthor:
      properties:
        '@type':
          type: string
          default: SteamReviewAuthor
        steamid:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        persona_status:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        game_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        playtime_forever:
          anyOf:
            - type: integer
            - type: 'null'
        playtime_last_two_weeks:
          anyOf:
            - type: integer
            - type: 'null'
        playtime_at_review:
          anyOf:
            - type: integer
            - type: 'null'
        last_played:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    SteamReviewReaction:
      properties:
        '@type':
          type: string
          default: SteamReviewReaction
        reaction_type:
          anyOf:
            - type: integer
            - type: 'null'
        count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````